public static interface XmlSignerEndpointBuilderFactory.XmlSignerBuilders
| Modifier and Type | Method and Description |
|---|---|
default XmlSignerEndpointBuilderFactory.XmlSignerEndpointBuilder |
xmlsecuritySign(String path)
XML Security Sign (camel-xmlsecurity)
Sign XML payloads using the XML signature specification.
|
default XmlSignerEndpointBuilderFactory.XmlSignerEndpointBuilder |
xmlsecuritySign(String componentName,
String path)
XML Security Sign (camel-xmlsecurity)
Sign XML payloads using the XML signature specification.
|
default XmlSignerEndpointBuilderFactory.XmlSignerEndpointBuilder xmlsecuritySign(String path)
xmlsecurity-sign:name
Path parameter: name (required)
The name part in the URI can be chosen by the user to distinguish
between different signer endpoints within the camel context.path - namedefault XmlSignerEndpointBuilderFactory.XmlSignerEndpointBuilder xmlsecuritySign(String componentName, String path)
xmlsecurity-sign:name
Path parameter: name (required)
The name part in the URI can be chosen by the user to distinguish
between different signer endpoints within the camel context.componentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel